version: '3.7'
services:

  local-alertmanager1-1:
    container_name: "local-alertmanager1-1"
    image: prom/alertmanager:v0.23.0
    hostname: "local-alertmanager1-1"

    user: root

    ports:
      - 127.0.0.1:9093:9093

    volumes:
      - ./alertmanager1-1/config/:/etc/alertmanager
      - ./alertmanager1-1/data:/var/lib/alertmanager

    command:
      - '--config.file=/etc/alertmanager/alertmanager.yml'
      - '--storage.path=/var/lib/alertmanager'

    restart: always

    networks:
      local-grafana:
        ipv4_address: 172.20.0.5

networks:
  local-grafana:
    name: local-grafana
    driver: bridge
    ipam:
      driver: default
      config:
        - subnet: 172.20.0.0/16
